import { makeBitMaxPlugin } from './rate/bitmax';
import { makeCoinbasePlugin } from './rate/coinbase';
import { makeCoincapPlugin } from './rate/coincap';
import { makeCoinGeckoPlugin } from './rate/coingecko';
import { makeCoinmonitorPlugin } from './rate/coinmonitor';
import { makeCompoundPlugin } from './rate/compound';
import { makeConstantRatePlugin } from './rate/constantRate';
import { makeCurrencyconverterapiPlugin } from './rate/currencyconverterapi';
import { makeEdgeRatesPlugin } from './rate/edgeRates';
import { makeNomicsPlugin } from './rate/nomics';
import { makeWazirxPlugin } from './rate/wazirx';
import { makeChangeHeroPlugin } from './swap/changehero';
import { makeChangeNowPlugin } from './swap/changenow';
import { makeLifiPlugin } from './swap/defi/lifi';
import { makeThorchainPlugin } from './swap/defi/thorchain';
import { makeThorchainDaPlugin } from './swap/defi/thorchainDa';
import { makeSpookySwapPlugin } from './swap/defi/uni-v2-based/plugins/spookySwap';
import { makeTombSwapPlugin } from './swap/defi/uni-v2-based/plugins/tombSwap';
import { makeVelodromePlugin } from './swap/defi/uni-v2-based/plugins/velodrome';
import { makeXrpDexPlugin } from './swap/defi/xrpDex';
import { makeExolixPlugin } from './swap/exolix';
import { makeGodexPlugin } from './swap/godex';
import { makeLetsExchangePlugin } from './swap/letsexchange';
import { makeSideshiftPlugin } from './swap/sideshift';
import { makeSwapuzPlugin } from './swap/swapuz';
import { makeTransferPlugin } from './swap/transfer';
declare const edgeCorePlugins: {
    bitmax: typeof makeBitMaxPlugin;
    coinbase: typeof makeCoinbasePlugin;
    coincap: typeof makeCoincapPlugin;
    coingecko: typeof makeCoinGeckoPlugin;
    coinmonitor: typeof makeCoinmonitorPlugin;
    compound: typeof makeCompoundPlugin;
    constantRate: typeof makeConstantRatePlugin;
    currencyconverterapi: typeof makeCurrencyconverterapiPlugin;
    edgeRates: typeof makeEdgeRatesPlugin;
    nomics: typeof makeNomicsPlugin;
    wazirx: typeof makeWazirxPlugin;
    changehero: typeof makeChangeHeroPlugin;
    changenow: typeof makeChangeNowPlugin;
    exolix: typeof makeExolixPlugin;
    godex: typeof makeGodexPlugin;
    lifi: typeof makeLifiPlugin;
    sideshift: typeof makeSideshiftPlugin;
    spookySwap: typeof makeSpookySwapPlugin;
    tombSwap: typeof makeTombSwapPlugin;
    swapuz: typeof makeSwapuzPlugin;
    thorchain: typeof makeThorchainPlugin;
    thorchainda: typeof makeThorchainDaPlugin;
    transfer: typeof makeTransferPlugin;
    velodrome: typeof makeVelodromePlugin;
    xrpdex: typeof makeXrpDexPlugin;
    letsexchange: typeof makeLetsExchangePlugin;
};
export default edgeCorePlugins;
