import { ContractInterface } from 'ethers';
export declare type TcRouterType = 'TC_ROUTER_GENERIC' | 'TC_ROUTER_UNISWAP' | 'TC_ROUTER_PANGOLIN' | 'INVALID';
interface AbiMap {
    [pluginId: string]: {
        [contractAddress: string]: {
            name: string;
            type: TcRouterType;
            data: ContractInterface;
        };
    };
}
export declare const abiMap: AbiMap;
export {};
