import { Contract, ethers } from 'ethers';
export declare const FTM_FALLBACK_PROVIDER_URL = "https://rpc.ftm.tools";
export declare const FTM_BASE_QUIKNODE_URL = "https://polished-empty-cloud.fantom.quiknode.pro/";
export declare const getFtmProvider: (quiknodeApiKey?: string) => ethers.providers.Provider;
export declare const makeSpookySwapRouterContract: (provider: ethers.providers.Provider) => Contract;
export declare const makeTombSwapRouterContract: (provider: ethers.providers.Provider) => Contract;
export declare const WFTM_TOKEN_ADDRESS = "0x21be370D5312f44cB42ce377BC9b8a0cEF1A4C83";
export declare const makeWrappedFtmContract: (provider: ethers.providers.Provider) => Contract;
export declare const makeErc20Contract: (provider: ethers.providers.Provider, tokenAddress: string) => Contract;
